Subject: categories: Re: Linear--structure or property?

From: "George Janelidze" <[email-masked]>
Date: Fri, 11 Aug 2006 11:12:38 +0200

Dear Michael,

I have a trivial comment to the first paragraph of your message. You ask:

"...Could you have two (semi)ring structures on the same set with the same
associative multiplication?"

Take any (semi)ring R with a multiplicative automorphism f that is not an
additive automorphism, and transport the structure along f. For instance,
both in the semiring of natural numbers and in the ring of integers, any
non-identity permutation of (positive) prime numbers determines such an f.

An example for students: take, say,

f(2) = 3, f(3) = 2, and f(p) = p for all primes p different from 2 and 3.

Then, denoting the new addition by *, we calculate (usung the fact that f
coincides with its inverse)

1*1 = f(f(1)+f(1)) = f(2+2) = f(2x2) = f(2)xf(2) = 3x3 = 9.

Best regards,

George

----- Original Message -----
From: "Michael Barr" <[email-masked]>
To: "Categories list" <[email-masked]>
Sent: Thursday, August 10, 2006 10:14 PM
Subject: categories: Linear--structure or property?

> Bill Lawvere uses "linear" for a category enriched over commutative
> semigroups.  Obviously, if the category has finite products, this is a
> property.  What about in the absence of finite products (or sums)?  Could
> you have two (semi)ring structures on the same set with the same
> associative multiplication?
>
> Robin Houston's startling (to me, anyway) proof that a compact
> *-autonomous category with finite products is linear starts by proving
> that 0 = 1.  Suppose the category has only binary products?  Well, I have
> an example of one that is not linear:  Lawvere's category that is the
> ordered set of real numbers has a compact *-autonomous structure.
> Tensor is + and internal hom is -.  Product is inf and sum is sup, but
> there are no initial or terminal objects and the category is not linear.
>
>
>
>